PHPExcel_Calculation_FormulaParser

category | PHPExcel
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Calculation_FormulaParser

    __construct(string $pFormula)

### Parameters

#### $pFormula

`string`

Formula to parse

### Exceptions

`\PHPExcel_Calculation_Exception` |

## Get Formula

    getFormula() : string

### Returns

`string`

## Get Token

    getToken(int $pId) : string

### Parameters

#### $pId

`int`

Token id

### Exceptions

`\PHPExcel_Calculation_Exception` |

### Returns

`string`

## Get Token count

    getTokenCount() : string

### Returns

`string`

## Get Tokens

    getTokens() : \PHPExcel_Calculation_FormulaToken[]

### Returns

`\PHPExcel_Calculation_FormulaToken[]`

## Parse to tokens

    _parseToTokens()

### Properties

##

    $_formula : string

##

    $_tokens : \PHPExcel_Calculation_FormulaToken[]

### Constants

## BRACE_CLOSE

    BRACE_CLOSE

## BRACE_OPEN

    BRACE_OPEN

## BRACKET_CLOSE

    BRACKET_CLOSE

## BRACKET_OPEN

    BRACKET_OPEN

## COMMA

    COMMA

## ERROR_START

    ERROR_START

## OPERATORS_INFIX

    OPERATORS_INFIX

## OPERATORS_POSTFIX

    OPERATORS_POSTFIX

## OPERATORS_SN

    OPERATORS_SN

## PAREN_CLOSE

    PAREN_CLOSE

## PAREN_OPEN

    PAREN_OPEN

## QUOTE_DOUBLE

    QUOTE_DOUBLE

## QUOTE_SINGLE

    QUOTE_SINGLE

## SEMICOLON

    SEMICOLON

## WHITESPACE

    WHITESPACE